Subject: Re: [Hist Trivia] IP Protocol Layers

From: Stuart Cheshire <[email-masked]>
Date: Wed, 18 Jul 2001 01:56:42 -0700

>By 1983 the Internet protocols were already being recast in OSI terms.

I think it started before that. In September 1982 Padlipsky wrote RFC 
871, reacting to the increasing perception that ISO had somehow invented 
the concept of layering:

>    Despite the fact that "the ARPANET" stands as the
>  proof-of-concept of intercomputer networking and, as discussed in
>  more detail below, introduced such fundamental notions as
>  Layering and Virtualizing to the literature, the wide
>  availability of material which appeals to the International
>  Standards Organization's Reference Model for Open System
>  Interconnection (ISORM) has prompted many new- comers to the
>  field to overlook the fact that, even though it was largely
>  tacit, the designers of the ARPANET protocol suite have had a
>  reference model of their own all the long.  That is, since well
>  before ISO even took an interest in "networking", workers in the
>  ARPA-sponsored research community have been going about their
>  business of doing research and development in intercomputer
>  networking with a particular frame of reference in mind.  They
>  have, unfortunately, either been so busy with their work or were
>  perhaps somehow unsuited temperamentally to do learned papers on
>  abstract topics when there are interesting things to be said on
>  specific topics, that it is only in very recent times that there
>  has been much awareness in the research community of the impact
>  of the ISORM on the lay mind.  When the author is asked to review
>  solemn memoranda comparing such things as the ARPANET treatment
>  of "internetting" with that of CCITT employing the ISORM "as the
>  frame of reference," however, the time has clearly come to
>  attempt to enunciate the ARPANET Reference Model (ARM)
>  publicly--for such comparisons are painfully close to comparing
>  an orange with an apple using redness and smoothness as the
>  dominant criteria, given the philosophical closeness of the CCITT
>  and ISO models and their mutual disparities from the ARPANET
>  model.

Stuart Cheshire <[email-masked]>
 * Wizard Without Portfolio, Apple Computer
 * Chairman, IETF ZEROCONF
 * www.stuartcheshire.org

---

From: vint cerf <[email-masked]>
Date: Wed, 18 Jul 2001 09:37:06 -0400

The first OSI papers came out in 1978 just as TCP/IP v4 was standardized.

The layering descriptions of OSI quickly became a kind of vocabulary in
which architectures were discussed and compared.

Well before 1983 as I recall.

Vint

---

From: Keith Moore <[email-masked]>
Date: Wed, 18 Jul 2001 11:15:06 -0400

> which architectures were discussed and compared.

so did the vocabulary end up being the most important contribution of OSI 
to networking?